RDKit: RDKit::ReactionPickler Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | Static Public Attributes | List of all members
RDKit::ReactionPickler Class Reference

handles pickling (serializing) reactions More...

`#include <ReactionPickler.h>`

## Public Types
enum | Tags { VERSION = 10000 , BEGINREACTANTS , ENDREACTANTS , BEGINPRODUCTS , ENDPRODUCTS , BEGINAGENTS , ENDAGENTS , ENDREACTION , BEGINPROPS , ENDPROPS , BEGINSSSPARAMS , ENDSSSPARAMS }

## Static Public Member Functions
static void | pickleReaction (const ChemicalReaction *rxn, std::ostream &ss, unsigned int propertyFlags)
| pickles a reaction and sends the results to stream `ss`
static void | pickleReaction (const ChemicalReaction *rxn, std::ostream &ss)
static void | pickleReaction (const ChemicalReaction &rxn, std::ostream &ss)
static void | pickleReaction (const ChemicalReaction &rxn, std::ostream &ss, unsigned int propertyFlags)
static void | pickleReaction (const ChemicalReaction *rxn, std::string &res, unsigned int propertyFlags)
| pickles a reaction and adds the results to string `res`
static void | pickleReaction (const ChemicalReaction *rxn, std::string &res)
static void | pickleReaction (const ChemicalReaction &rxn, std::string &res)
static void | pickleReaction (const ChemicalReaction &rxn, std::string &res, unsigned int propertyFlags)
static void | reactionFromPickle (const std::string &pickle, ChemicalReaction *rxn)
static void | reactionFromPickle (const std::string &pickle, ChemicalReaction &rxn)
static void | reactionFromPickle (std::istream &ss, ChemicalReaction *rxn)
static void | reactionFromPickle (std::istream &ss, ChemicalReaction &rxn)

## Static Public Attributes
static const std::int32_t | versionMajor
| mark the pickle version
static const std::int32_t | versionMinor
| mark the pickle version
static const std::int32_t | versionPatch
| mark the pickle version
static const std::int32_t | endianId
| mark the endian-ness of the pickle

## Detailed Description

handles pickling (serializing) reactions

Definition at line 40 of file ReactionPickler.h.

## Member Enumeration Documentation

## ◆ Tags

enum RDKit::ReactionPickler::Tags

the pickle format is tagged using these tags: NOTE: if you add to this list, be sure to put new entries AT THE BOTTOM, otherwise you will break old pickles.

Enumerator
VERSION |
BEGINREACTANTS |
ENDREACTANTS |
BEGINPRODUCTS |
ENDPRODUCTS |
BEGINAGENTS |
ENDAGENTS |
ENDREACTION |
BEGINPROPS |
ENDPROPS |
BEGINSSSPARAMS |
ENDSSSPARAMS |

Definition at line 50 of file ReactionPickler.h.

## Member Function Documentation

## ◆ pickleReaction() [1/8]

static void RDKit::ReactionPickler::pickleReaction | ( | const ChemicalReaction & | rxn,
|  | std::ostream & | ss )
| inlinestatic

Definition at line 69 of file ReactionPickler.h.

References pickleReaction().

## ◆ pickleReaction() [2/8]

static void RDKit::ReactionPickler::pickleReaction | ( | const ChemicalReaction & | rxn,
|  | std::ostream & | ss,
|  | unsigned int | propertyFlags )
| inlinestatic

Definition at line 72 of file ReactionPickler.h.

References pickleReaction().

## ◆ pickleReaction() [3/8]

static void RDKit::ReactionPickler::pickleReaction | ( | const ChemicalReaction & | rxn,
|  | std::string & | res )
| inlinestatic

Definition at line 80 of file ReactionPickler.h.

References pickleReaction().

## ◆ pickleReaction() [4/8]

static void RDKit::ReactionPickler::pickleReaction | ( | const ChemicalReaction & | rxn,
|  | std::string & | res,
|  | unsigned int | propertyFlags )
| inlinestatic

Definition at line 83 of file ReactionPickler.h.

References pickleReaction().

## ◆ pickleReaction() [5/8]

static void RDKit::ReactionPickler::pickleReaction | ( | const ChemicalReaction * | rxn,
|  | std::ostream & | ss )
| static

## ◆ pickleReaction() [6/8]

static void RDKit::ReactionPickler::pickleReaction | ( | const ChemicalReaction * | rxn,
|  | std::ostream & | ss,
|  | unsigned int | propertyFlags )
| static

pickles a reaction and sends the results to stream `ss`

Referenced by pickleReaction(), pickleReaction(), pickleReaction(), and pickleReaction().

## ◆ pickleReaction() [7/8]

static void RDKit::ReactionPickler::pickleReaction | ( | const ChemicalReaction * | rxn,
|  | std::string & | res )
| static

## ◆ pickleReaction() [8/8]

static void RDKit::ReactionPickler::pickleReaction | ( | const ChemicalReaction * | rxn,
|  | std::string & | res,
|  | unsigned int | propertyFlags )
| static

pickles a reaction and adds the results to string `res`

## ◆ reactionFromPickle() [1/4]

static void RDKit::ReactionPickler::reactionFromPickle | ( | const std::string & | pickle,
|  | ChemicalReaction & | rxn )
| inlinestatic

Definition at line 92 of file ReactionPickler.h.

References reactionFromPickle().

## ◆ reactionFromPickle() [2/4]

static void RDKit::ReactionPickler::reactionFromPickle | ( | const std::string & | pickle,
|  | ChemicalReaction * | rxn )
| static

constructs a reaction from a pickle stored in a string

Referenced by reactionFromPickle(), and reactionFromPickle().

## ◆ reactionFromPickle() [3/4]

static void RDKit::ReactionPickler::reactionFromPickle | ( | std::istream & | ss,
|  | ChemicalReaction & | rxn )
| inlinestatic

Definition at line 100 of file ReactionPickler.h.

References reactionFromPickle().

## ◆ reactionFromPickle() [4/4]

static void RDKit::ReactionPickler::reactionFromPickle | ( | std::istream & | ss,
|  | ChemicalReaction * | rxn )
| static

constructs a reaction from a pickle stored in a stream

## Member Data Documentation

## ◆ endianId

const std::int32_t RDKit::ReactionPickler::endianId
| static

mark the endian-ness of the pickle

Definition at line 45 of file ReactionPickler.h.

## ◆ versionMajor

const std::int32_t RDKit::ReactionPickler::versionMajor
| static

mark the pickle version

Definition at line 42 of file ReactionPickler.h.

## ◆ versionMinor

const std::int32_t RDKit::ReactionPickler::versionMinor
| static

mark the pickle version

Definition at line 43 of file ReactionPickler.h.

## ◆ versionPatch

const std::int32_t RDKit::ReactionPickler::versionPatch
| static

mark the pickle version

Definition at line 44 of file ReactionPickler.h.

The documentation for this class was generated from the following file:

- ReactionPickler.h